Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.desktop
Class ManageInternalFrameAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.InternalFrameAction
              de.jsystems.framework.desktop.ManageInternalFrameAction

All Implemented Interfaces:
  EventListener, InternalFrameListener

public class ManageInternalFrameAction
extends InternalFrameAction

Diese Action verwaltet die InternalFrames in einem Desktop. Hier sorgt die Action beim schliessen eines InternalFrames lediglich dafuer, dass das InternalFrame auf dem Desktop verschwindet und der generierte Menueeintrag aus dem Fenstermenue wieder verschwindet. Falls ein eigener InternalFrameListener benoetigt wird, so sollte dieser diese Klasse hier erweitern. Andernfalls muss auch das schliessen fuer InternalFrames neu implementiert werden.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`ManageInternalFrameAction()`

Method Summary
`void` | `doInternalFrameClosed(InternalFrameEvent ife)` Entfernt das InternalFrmae uas dem Desktop.

Methods inherited from class de.jsystems.framework.common.action.swing.InternalFrameAction
`doInternalFrameActivated, doInternalFrameClosing, doInternalFrameDeactivated, doInternalFrameDeiconified, doInternalFrameIconified, doInternalFrameOpened, internalFrameActivated, internalFrameClosed, internalFrameClosing, internalFrameDeactivated, internalFrameDeiconified, internalFrameIconified, internalFrameOpened`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManageInternalFrameAction

    public ManageInternalFrameAction()

Method Detail

### doInternalFrameClosed

    public void doInternalFrameClosed(InternalFrameEvent ife)
                               throws Exception

  Entfernt das InternalFrmae uas dem Desktop. Das zu entfernende InternalFrame steht im Event-Objekt. Der Controller in der Action muss vom Typ `BusinessDesktopFrameController` sein.

  Overrides:
    `doInternalFrameClosed` in class `InternalFrameAction`
  Parameters:
    `ife` - Das ausgeloeste InternalFrameEvent.
  Throws:
    `Exception` - wenn ein Fehler in der Action auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD